Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_Transport_Descriptor_Banded_Connection_Property Class Reference

Descriptor Property for Banded Connections. More...

`#include <RT_Transport_Descriptor_Property.h>`

Inheritance diagram for TAO_RT_Transport_Descriptor_Banded_Connection_Property:

[legend]
Collaboration diagram for TAO_RT_Transport_Descriptor_Banded_Connection_Property:

[legend]
List of all members.

## Public Methods
| TAO_RT_Transport_Descriptor_Banded_Connection_Property (void)
| Constuctor.
| TAO_RT_Transport_Descriptor_Banded_Connection_Property (CORBA::Short low_priority, CORBA::Short high_priority)
| ~TAO_RT_Transport_Descriptor_Banded_Connection_Property (void)
| Destructor.
void | init (CORBA::Short low_priority, CORBA::Short high_priority)
| Init.
virtual TAO_RT_Transport_Descriptor_Property * | duplicate (void)
virtual CORBA::Boolean | is_equivalent (const TAO_RT_Transport_Descriptor_Property *other_prop)
## Protected Attributes
CORBA::Short | low_priority_
| The low priority of the Band.
CORBA::Short | high_priority_
| The high priority of the Band.

## Detailed Description

Descriptor Property for Banded Connections.

This property holds the Band information necessary to identify a banded connection.

## Constructor & Destructor Documentation

ACE_INLINE TAO_RT_Transport_Descriptor_Banded_Connection_Property::TAO_RT_Transport_Descriptor_Banded_Connection_Property | ( | void |  | ) |

| Constuctor.

ACE_INLINE TAO_RT_Transport_Descriptor_Banded_Connection_Property::TAO_RT_Transport_Descriptor_Banded_Connection_Property | ( | CORBA::Short | low_priority,
|  | CORBA::Short | high_priority
| ) |

TAO_RT_Transport_Descriptor_Banded_Connection_Property::~TAO_RT_Transport_Descriptor_Banded_Connection_Property | ( | void |  | ) |

| Destructor.

## Member Function Documentation

TAO_RT_Transport_Descriptor_Property * TAO_RT_Transport_Descriptor_Banded_Connection_Property::duplicate | ( | void |  | ) | `[virtual]`

| Implements TAO_RT_Transport_Descriptor_Property.

ACE_INLINE void TAO_RT_Transport_Descriptor_Banded_Connection_Property::init | ( | CORBA::Short | low_priority,
|  | CORBA::Short | high_priority
| ) |

| Init.

CORBA::Boolean TAO_RT_Transport_Descriptor_Banded_Connection_Property::is_equivalent | ( | const TAO_RT_Transport_Descriptor_Property * | other_prop | ) | `[virtual]`

| Implements TAO_RT_Transport_Descriptor_Property.

## Member Data Documentation

CORBA::Short TAO_RT_Transport_Descriptor_Banded_Connection_Property::high_priority_`[protected]`

| The high priority of the Band.

CORBA::Short TAO_RT_Transport_Descriptor_Banded_Connection_Property::low_priority_`[protected]`

| The low priority of the Band.

The documentation for this class was generated from the following files:

- RT_Transport_Descriptor_Property.h
- RT_Transport_Descriptor_Property.cpp
- RT_Transport_Descriptor_Property.inl